"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setupDefaultConfiguration = setupDefaultConfiguration;
var _getFileUtils = require("../lint/eslint/getFileUtils");
var _fileUtils = require("../utils/fileUtils");
var _logger = require("../utils/logger");
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function setupDefaultConfiguration() {
  var configPath = (0, _getFileUtils.constructConfigPath)();
  var sampleConfigPath = _path["default"].join(__dirname, 'sampleLint.config.js');
  if ((0, _fileUtils.checkIfFileExists)(configPath) && _typeof(require(configPath)) == 'object') {
    _logger.Logger.log(_logger.Logger.INFO_TYPE, "configuration file already exist");
    _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, "configuration done .. ");
    process.exit(0);
  }
  (0, _fileUtils.writeFileContents)(configPath, (0, _fileUtils.readFileContents)(sampleConfigPath));
  _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, "configuration done .. ");
}