"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSonarJarPath = getSonarJarPath;
var _path = _interopRequireDefault(require("path"));
var _logger = require("./logger.js");
var _fileUtils = require("./fileUtils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function getSonarJarPath() {
  var jarPath = _path["default"].resolve(__dirname, "..", "lint", "sonar-dependencies", "java-jar", "sonar-scanner-cli-4.8.0.2856.jar");
  if ((0, _fileUtils.checkIfFileExists)(jarPath)) {
    return jarPath;
  }
  _logger.Logger.log(_logger.Logger.FAILURE_TYPE, "cannot find -  Java-Jar");
  process.exit(0);
}